Bug 247977 - libpgf relevant : digiKam crash while scrolling the thumbnail view
Summary: libpgf relevant : digiKam crash while scrolling the thumbnail view
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-DImg-PGF (show other bugs)
Version: 1.3.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-15 19:50 UTC by Heikki Välisuo
Modified: 2017-08-01 20:19 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heikki Välisuo 2010-08-15 19:50:36 UTC
Application: digikam (1.3.0)
KDE Platform Version: 4.5.00 (KDE 4.5.0)
Qt Version: 4.6.3
Operating System: Linux 2.6.34-12-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed: I was scrolling through a thumbnail view of a large album (viewing also its subalbums). All the thumbnails should have been generated earlier. Digikam slowed down a little in presenting the thumbnails and crashed. 

I am sorry I am so clumsy with your tools. I did not find until now my earlier report whivh may actually be the same bug.

https://bugs.kde.org/show_bug.cgi?id=247940

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0x7f256382c7c0 (LWP 4978))]

Thread 17 (Thread 0x7f254bf55710 (LWP 4979)):
#0  0x00007f255b1ce39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f255eafd2bb in wait (this=<value optimized out>, mutex=0xb7df60, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xb7df60, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006aa43d in Digikam::ScanController::run (this=0xb7d3d0) at /usr/src/debug/digikam-1.3.0/digikam/scancontroller.cpp:516
#4  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0xb7d3d0) at thread/qthread_unix.cpp:248
#5  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f255d19882d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f254b754710 (LWP 4982)):
#0  0x00007f255d18f6b3 in poll () from /lib64/libc.so.6
#1  0x00007f2555d0cfd4 in g_main_context_poll (context=0xc8d5b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0xc8d5b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0xc8d5b0, may_block=1) at gmain.c:2654
#4  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0xc2b4a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f254b753dc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0xd65550) at thread/qthread_unix.cpp:248
#9  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f255d19882d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f254ad46710 (LWP 4983)):
#0  0x00007f255d18f6b3 in poll () from /lib64/libc.so.6
#1  0x00007f2555d0cfd4 in g_main_context_poll (context=0xc8d400, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0xc8d400, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0xc8d400, may_block=1) at gmain.c:2654
#4  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0xc8be10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f254ad45dc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0xbd9620) at thread/qthread_unix.cpp:248
#9  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f255d19882d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f254a27b710 (LWP 4984)):
#0  0x00007f255b1ce39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f255eafd2bb in wait (this=<value optimized out>, mutex=0xbde638, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xbde638, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f2560d201f8 in Digikam::ParkingThread::run (this=0xbde620) at /usr/src/debug/digikam-1.3.0/libs/threads/threadmanager.cpp:101
#4  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0xbde620) at thread/qthread_unix.cpp:248
#5  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f255d19882d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f2549a7a710 (LWP 4985)):
#0  0x00007f255d18f6b3 in poll () from /lib64/libc.so.6
#1  0x00007f2555d0cfd4 in g_main_context_poll (context=0xd96870, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0xd96870, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0xd96870, may_block=1) at gmain.c:2654
#4  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0xd96780, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f2549a79dc0, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0xd8fa70) at thread/qthread_unix.cpp:248
#9  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f255d19882d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f2549279710 (LWP 4986)):
#0  0x00007f2555d0bfa8 in IA__g_main_context_prepare (context=0xd97220, priority=0x7f2549278c9c) at gmain.c:2282
#1  0x00007f2555d0ce69 in g_main_context_iterate (context=0xd97220, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2571
#2  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0xd97220, may_block=1) at gmain.c:2654
#3  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0xd8fb30, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f2549278dc0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0xd93190) at thread/qthread_unix.cpp:248
#8  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007f255d19882d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f25382c7710 (LWP 4988)):
#0  0x00007f255b1ce709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2542093951 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f255d19882d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f2536e8a710 (LWP 4989)):
#0  0x00007f255b1ce709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f25420a198f in video_out_loop () from /usr/lib64/libxine.so.1
#2  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f255d19882d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f2536689710 (LWP 4990)):
#0  0x00007fff6f9ff7bb in ?? ()
#1  0x00007f2555fb42a3 in clock_gettime () from /lib64/librt.so.1
#2  0x00007f255ec095ff in qt_gettime () at kernel/qcore_unix.cpp:111
#3  0x00007f255ec0cf4d in QTimerInfoList::updateCurrentTime (this=0x19e21a0) at kernel/qeventdispatcher_unix.cpp:340
#4  0x00007f255ec0d2d5 in QTimerInfoList::timerWait (this=0x19e21a0, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#5  0x00007f255ec0bf0c in timerSourcePrepareHelper (src=<value optimized out>, timeout=0x7f2536688bdc) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f2555d0bf7f in IA__g_main_context_prepare (context=0x19f08b0, priority=0x7f2536688c4c) at gmain.c:2280
#7  0x00007f2555d0ce69 in g_main_context_iterate (context=0x19f08b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2571
#8  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0x19f08b0, may_block=1) at gmain.c:2654
#9  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0x19f07c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#10 0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#11 0x00007f255ebe3495 in QEventLoop::exec (this=0x7f2536688d70, flags=...) at kernel/qeventloop.cpp:201
#12 0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#13 0x00007f25422f13b4 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#14 0x00007f255eafcbf5 in QThreadPrivate::start (arg=0x195e080) at thread/qthread_unix.cpp:248
#15 0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#16 0x00007f255d19882d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f2535c7e710 (LWP 4993)):
#0  0x00007f255d18f6b3 in poll () from /lib64/libc.so.6
#1  0x00007f2535c839d7 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.29/xineplug_ao_out_alsa.so
#2  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f255d19882d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f253547d710 (LWP 4994)):
#0  0x00007f255b1ce39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f25420a596b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f255d19882d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f2534c7c710 (LWP 4995)):
#0  postEventSourcePrepare (s=0x2104a00, timeout=0x0) at kernel/qeventdispatcher_glib.cpp:259
#1  0x00007f2555d0c718 in IA__g_main_context_check (context=0x21057a0, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2469
#2  0x00007f2555d0cff2 in g_main_context_iterate (context=0x21057a0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2588
#3  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0x21057a0, may_block=1) at gmain.c:2654
#4  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0x20f7b80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f2534c7bd80, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f255ebc5458 in QInotifyFileSystemWatcherEngine::run (this=0x20f7640) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0x20f7640) at thread/qthread_unix.cpp:248
#10 0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f255d19882d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f25323a9710 (LWP 5002)):
#0  0x00007f255b1cd68e in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f2555d0cfc8 in g_main_context_poll (context=0x2641450, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2903
#2  g_main_context_iterate (context=0x2641450, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0x2641450, may_block=1) at gmain.c:2654
#4  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0x2642ba0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f25323a8d80, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f255ebc5458 in QInotifyFileSystemWatcherEngine::run (this=0x263d600) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0x263d600) at thread/qthread_unix.cpp:248
#10 0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f255d19882d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f252fba4710 (LWP 5040)):
#0  0x00007f255d18f6b3 in poll () from /lib64/libc.so.6
#1  0x00007f2555d0cfd4 in g_main_context_poll (context=0x5a97fe0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x5a97fe0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
#3  0x00007f2555d0d510 in IA__g_main_context_iteration (context=0x5a97fe0, may_block=1) at gmain.c:2654
#4  0x00007f255ec0c6d6 in QEventDispatcherGlib::processEvents (this=0x4062d50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f255ebe3495 in QEventLoop::exec (this=0x7f252fba3d80, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f255eafa2cf in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f255ebc5458 in QInotifyFileSystemWatcherEngine::run (this=0x5a94910) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f255eafcbf5 in QThreadPrivate::start (arg=0x5a94910) at thread/qthread_unix.cpp:248
#10 0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f255d19882d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f251f0bf710 (LWP 5741)):
#0  0x00007f255b1ce39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f255eafbd23 in QMutexPrivate::wait (this=0xb7c8a0, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f255eaf8465 in QMutex::lock (this=0xb9c490) at thread/qmutex.cpp:167
#3  0x00007f2560cc8834 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess (this=<value optimized out>) at /usr/src/debug/digikam-1.3.0/libs/database/thumbnaildatabaseaccess.cpp:87
#4  0x00007f2560cf95ef in Digikam::ThumbnailCreator::loadFromDatabase (this=0xbe6f10, info=...) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/thumbnailcreator.cpp:641
#5  0x00007f2560cfd086 in Digikam::ThumbnailCreator::load (this=0xbe6f10, path=...) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/thumbnailcreator.cpp:185
#6  0x00007f2560d0526b in Digikam::ThumbnailLoadingTask::execute (this=0x12581340) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/thumbnailtask.cpp:133
#7  0x00007f2560ce4596 in Digikam::LoadSaveThread::run (this=0xd6da30) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/loadsavethread.cpp:127
#8  0x00007f2560d210a6 in Digikam::DynamicThreadPriv::run (this=0xbf3fd0) at /usr/src/debug/digikam-1.3.0/libs/threads/dynamicthread.cpp:237
#9  0x00007f255eaf3035 in QThreadPoolThread::run (this=0x2182260) at concurrent/qthreadpool.cpp:106
#10 0x00007f255eafcbf5 in QThreadPrivate::start (arg=0x2182260) at thread/qthread_unix.cpp:248
#11 0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#12 0x00007f255d19882d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f252eba2710 (LWP 5752)):
[KCrash Handler]
#6  0x00007f255d0fa9e5 in raise () from /lib64/libc.so.6
#7  0x00007f255d0fbee6 in abort () from /lib64/libc.so.6
#8  0x00007f255d954cdd in __gnu_cxx::__verbose_terminate_handler () at ../../../../libstdc++-v3/libsupc++/vterminate.cc:93
#9  0x00007f255d952ef6 in __cxxabiv1::__terminate (handler=<value optimized out>) at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:39
#10 0x00007f255d952f23 in std::terminate () at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:49
#11 0x00007f255d952f36 in __cxxabiv1::__unexpected (handler=<value optimized out>) at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:55
#12 0x00007f255d952b23 in __cxxabiv1::__cxa_call_unexpected (exc_obj_in=0xfd13850) at ../../../../libstdc++-v3/libsupc++/eh_personality.cc:755
#13 0x00007f2560d16c54 in CPGFImage::Read (this=0x7f252eba1130, level=0, cb=0, data=0x0) at /usr/src/debug/digikam-1.3.0/libs/3rdparty/libpgf/PGFimage.cpp:252
#14 0x00007f2560d1d920 in Digikam::readPGFImageData (data=<value optimized out>, img=...) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/pgfutils.cpp:73
#15 0x00007f2560cf97cc in Digikam::ThumbnailCreator::loadFromDatabase (this=0xd176b0, info=...) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/thumbnailcreator.cpp:667
#16 0x00007f2560cfd086 in Digikam::ThumbnailCreator::load (this=0xd176b0, path=...) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/thumbnailcreator.cpp:185
#17 0x00007f2560d0526b in Digikam::ThumbnailLoadingTask::execute (this=0x7f23958c30d0) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/thumbnailtask.cpp:133
#18 0x00007f2560ce4596 in Digikam::LoadSaveThread::run (this=0xd77be0) at /usr/src/debug/digikam-1.3.0/libs/threadimageio/loadsavethread.cpp:127
#19 0x00007f2560d210a6 in Digikam::DynamicThreadPriv::run (this=0xd77ca0) at /usr/src/debug/digikam-1.3.0/libs/threads/dynamicthread.cpp:237
#20 0x00007f255eaf3035 in QThreadPoolThread::run (this=0x3f069b0) at concurrent/qthreadpool.cpp:106
#21 0x00007f255eafcbf5 in QThreadPrivate::start (arg=0x3f069b0) at thread/qthread_unix.cpp:248
#22 0x00007f255b1c9a4f in start_thread () from /lib64/libpthread.so.0
#23 0x00007f255d19882d in clone () from /lib64/libc.so.6
#24 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f256382c7c0 (LWP 4978)):
#0  0x00007f255b1cd681 in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x00007f2553d1bbf4 in _xcb_conn_wait (c=0xa960f0, cond=<value optimized out>, vector=0x7fff6f9ab918, count=0x7fff6f9ab914) at xcb_conn.c:303
#2  0x00007f2553d1c169 in _xcb_out_send (c=0xa960f0, vector=0x7fff6f9ab918, count=0x7fff6f9ab914) at xcb_out.c:338
#3  0x00007f2553d1c1f7 in xcb_writev (c=0xa960f0, vector=0x7fff6f9ab960, count=3, requests=202) at xcb_out.c:286
#4  0x00007f255b964776 in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007f255b964b99 in _XReply () from /usr/lib64/libX11.so.6
#6  0x00007f255b940c25 in XGetImage () from /usr/lib64/libX11.so.6
#7  0x00007f255de41783 in QX11PixmapData::toImage (this=0x133d3d60) at image/qpixmap_x11.cpp:1492
#8  0x00007f255de3fec2 in QX11PixmapData::setAlphaChannel (this=0x133d3d60, alpha=...) at image/qpixmap_x11.cpp:1295
#9  0x00007f2560d49312 in Digikam::ItemViewHoverButton::paintEvent (this=<value optimized out>, event=<value optimized out>)
    at /usr/src/debug/digikam-1.3.0/libs/widgets/common/itemviewhoverbutton.cpp:171
#10 0x00007f255ddafd6e in QWidget::event (this=0xd8d540, event=0x7fff6f9ac7f0) at kernel/qwidget.cpp:8190
#11 0x00007f255dd5f4d4 in QApplicationPrivate::notify_helper (this=0xa8a5b0, receiver=0xd8d540, e=0x7fff6f9ac7f0) at kernel/qapplication.cpp:4302
#12 0x00007f255dd67aca in QApplication::notify (this=<value optimized out>, receiver=0xd8d540, e=0x7fff6f9ac7f0) at kernel/qapplication.cpp:4185
#13 0x00007f255f5090b6 in KApplication::notify (this=0x7fff6f9b0360, receiver=0xd8d540, event=0x7fff6f9ac7f0) at /usr/src/debug/kdelibs-4.5.0/kdeui/kernel/kapplication.cpp:310
#14 0x00007f255ebe3e4c in QCoreApplication::notifyInternal (this=0x7fff6f9b0360, receiver=0xd8d540, event=0x7fff6f9ac7f0) at kernel/qcoreapplication.cpp:726
#15 0x00007f255ddab1b2 in sendSpontaneousEvent (this=0xbe40d0, pdev=0xc45938, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at ../../src/corelib/kernel/qcoreapplication.h:218
#16 QWidgetPrivate::drawWidget (this=0xbe40d0, pdev=0xc45938, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5363
#17 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xc318d0, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#18 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xc318d0, pdev=0xc45938, siblings=..., index=0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#19 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xc318d0, pdev=0xc45938, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#20 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xc318d0, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#21 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xd27cc0, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#22 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xd27cc0, pdev=0xc45938, siblings=..., index=56, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#23 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xd27cc0, pdev=0xc45938, siblings=..., index=57, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#24 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xd27cc0, pdev=0xc45938, siblings=..., index=58, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#25 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xd27cc0, pdev=0xc45938, siblings=..., index=59, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#26 0x00007f255ddabc3c in QWidgetPrivate::paintSiblingsRecursive (this=0xd27cc0, pdev=0xc45938, siblings=..., index=77, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5463
#27 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xd27cc0, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#28 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xbf84e0, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#29 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xbf84e0, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#30 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xc2bca0, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#31 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xc2bca0, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#32 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xcc1b90, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#33 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xcc1b90, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#34 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xc5cc30, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#35 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xc5cc30, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#36 0x00007f255ddabd7f in QWidgetPrivate::paintSiblingsRecursive (this=0xc48bd0, pdev=0xc45938, siblings=<value optimized out>, index=<value optimized out>, rgn=..., offset=..., flags=4, 
    sharedPainter=0x0, backingStore=0xca72f0) at kernel/qwidget.cpp:5476
#37 0x00007f255ddaaf1a in QWidgetPrivate::drawWidget (this=0xc48bd0, pdev=0xc45938, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0xca72f0)
    at kernel/qwidget.cpp:5412
#38 0x00007f255df5f231 in QWidgetBackingStore::sync (this=0xca72f0) at painting/qbackingstore.cpp:1300
#39 0x00007f255dda1940 in QWidgetPrivate::syncBackingStore (this=0xc48bd0) at kernel/qwidget.cpp:1688
#40 0x00007f255ddb0272 in QWidget::event (this=0xc01080, event=0x133d36b0) at kernel/qwidget.cpp:8337
#41 0x00007f255e15ba6b in QMainWindow::event (this=0xc01080, event=0x133d36b0) at widgets/qmainwindow.cpp:1414
#42 0x00007f255f5848f3 in KXmlGuiWindow::event (this=0xc01080, ev=0x133d36b0) at /usr/src/debug/kdelibs-4.5.0/kdeui/xmlgui/kxmlguiwindow.cpp:130
#43 0x00007f255dd5f4d4 in QApplicationPrivate::notify_helper (this=0xa8a5b0, receiver=0xc01080, e=0x133d36b0) at kernel/qapplication.cpp:4302
#44 0x00007f255dd67aca in QApplication::notify (this=<value optimized out>, receiver=0xc01080, e=0x133d36b0) at kernel/qapplication.cpp:4185
#45 0x00007f255f5090b6 in KApplication::notify (this=0x7fff6f9b0360, receiver=0xc01080, event=0x133d36b0) at /usr/src/debug/kdelibs-4.5.0/kdeui/kernel/kapplication.cpp:310
#46 0x00007f255ebe3e4c in QCoreApplication::notifyInternal (this=0x7fff6f9b0360, receiver=0xc01080, event=0x133d36b0) at kernel/qcoreapplication.cpp:726
#47 0x00007f255ebe75ba in sendEvent (receiver=0x0, event_type=0, data=0xa47550) at kernel/qcoreapplication.h:215
#48 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa47550) at kernel/qcoreapplication.cpp:1367
#49 0x00007f255ec0c173 in sendPostedEvents (s=<value optimized out>) at kernel/qcoreapplication.h:220
#50 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#51 0x00007f2555d0ca93 in g_main_dispatch (context=0xa8d120) at gmain.c:1960
#52 IA__g_main_context_dispatch (context=0xa8d120) at gmain.c:2513
#53 0x00007f2555d0d270 in g_main_context_iterate (context=0xa8d120, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2591
#54 0x00007f2555d0d510 in IA__g_main_context_iteration (context=0xa8d120, may_block=1) at gmain.c:2654
#55 0x00007f255ec0c67f in QEventDispatcherGlib::processEvents (this=0xa4d000, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#56 0x00007f255de0014e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007f255ebe3292 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#58 0x00007f255ebe3495 in QEventLoop::exec (this=0x7fff6f9b01a0, flags=...) at kernel/qeventloop.cpp:201
#59 0x00007f255ebe788b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1003
#60 0x00000000007139c5 in main (argc=11036160, argv=0x7fff6f9b0a00) at /usr/src/debug/digikam-1.3.0/digikam/main.cpp:195

Possible duplicates by query: bug 247579, bug 242840, bug 240373, bug 234694, bug 234333.

Reported using DrKonqi
Comment 1 caulier.gilles 2010-08-16 15:03:29 UTC
The crash appears in libpgf when thumbnails are created.

http://lxr.kde.org/source/extragear/graphics/digikam/libs/threadimageio/pgfutils.cpp#73

Do you use a big or little endian cpu ?

Gilles Caulier
Comment 2 Heikki Välisuo 2010-08-16 15:47:28 UTC
Hi,

my computer has an Intel i3 530 CPU
Comment 3 caulier.gilles 2010-08-17 12:54:27 UTC
*** Bug 246789 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2010-08-17 12:56:10 UTC
I CC libpgf maintener for info...

Gilles Caulier
Comment 5 Marcel Wiesweg 2010-08-23 10:46:51 UTC
__cxa_call_unexpected

This indicates that an exception is thrown but not caught, leading to abort().
(console output would confirm that).

Now libpgf throws IOException, which is defined by libpgf itself. I dont know why the compiler wouldn't find this definition. Ok, a namespace around the exception would be nice, but it works for most people.
Comment 6 Raphael Schweizer 2010-08-23 18:33:46 UTC
Thank you for the report.

At first glance it seems that CPGFImage::Read would only throw an IOException if the callback indicates that the process should be aborted (e.g. ESC pressed).
Unfortunately I can only start to look into this by midweek.
Comment 7 Raphael Schweizer 2010-08-23 18:35:50 UTC
^^ it's clear however, that there's no callback here
Comment 8 Raphael Schweizer 2010-08-25 18:34:55 UTC
With 1061 pictures and a thumbnail DB of 6.1mb for me everything still works as expected. What size of album / DB do you have?
Did you catch any console output? If it's an IOException from libpgf something like "Error running libpgf ..." should be logged, at least in the latest debug version.
Comment 9 tiziano.cardosi 2010-08-25 19:19:06 UTC
  I think I can't help you. I'm not an expert in computer and I don't 
understand well English, chiefly technical words.
I have an album with about 18.000 images, each about 3  Mib
now the program runs; sometime, when I send images by email, has 
problems with temporary folder.
The program use hardly the cpu, so sometime the PC stops because of hot; 
I'm planning to change the ventilator of cpu.
best regards
TC

On 25/08/2010 18:34, Raphael Schweizer wrote:
> https://bugs.kde.org/show_bug.cgi?id=247977
>
>
>
>
>
> --- Comment #8 from Raphael Schweizer<rschweizer schweizer-informatik ch>   2010-08-25 18:34:55 ---
> With 1061 pictures and a thumbnail DB of 6.1mb for me everything still works as
> expected. What size of album / DB do you have?
> Did you catch any console output? If it's an IOException from libpgf something
> like "Error running libpgf ..." should be logged, at least in the latest debug
> version.
>
Comment 10 Heikki Välisuo 2010-08-25 21:51:14 UTC
There are over 24000. There is no reason to handle such a number of photos at the 
same. Not even have them in the same album. But for the sake of testing I did it.
I have set the thumbnail size to maximum.

Thumbnails-digikam.dg is 457 MB. 

I did some more testing. 

I started digikam and selected for thumbnail view my main album and all its 
subalbums, over 24000. I scrolled back and forth the thumbnail view. The system 
got sluggish and there was a lot of disk traffic. I had difficulties to jump to 
another virtual desktop, where I had open the system monitor. I saw how the memory 
usage had went down few seconds earliers from the full 4GB to about 1 GB. And 
digikam had mysteriously disappeared. I found no trace of any debug information. I 
moved with crtl-alt F1 to console (ok?) There was nothing. I glanced the tails of 
the  log files in /var/log. I checked what the syslogviewer showed. Nothing. I 
must admit that I am not used to digging out the debug information.

One more thing. I just realised that among the photos there are some avi-videos 
originating from my camera. 

I retried. Started digikam and "asked to see all the thumbnails". I was following 
the system memory use. Memory usage grows linearly in time. First application 
memory in system monitor graph arose to 3.7 and stabilised there. then cached 
memory started to go down. When in was very low, the swap memory started to go up. 
I guess that when the swap got full, all the graps came quickly down and digikam 
had disappeared. ??? No KED crash message, nothing on console.

I tried once more. going through the photos in smaller portions. Memory usage 
grows in steps whenever I open a new album.  Finally it crashed, when the swap got 
full (I guess) This time I got a KDE crash report 

I will be travelling for two weeks, so i am sorry I cannot be of more help. 

+++++++++++++++++

Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0x7f82b6ba17c0 (LWP 9503))]

Thread 15 (Thread 0x7f829f2c3710 (LWP 9504)):
#0  0x00007f82ae54339c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007f82b1e722bb in wait (this=<value optimized out>, mutex=0xbed360, 
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xbed360, 
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006aa43d in ?? ()
#4  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0xb7b280) at 
thread/qthread_unix.cpp:248
#5  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f829eac2710 (LWP 9508)):
#0  0x00007f82b05046b3 in poll () from /lib64/libc.so.6
#1  0x00007f82a907afd4 in g_main_context_poll (context=0xca0b70, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0xca0b70, block=1, dispatch=1, self=<value 
optimized out>) at gmain.c:2586
#3  0x00007f82a907b510 in IA__g_main_context_iteration (context=0xca0b70, 
may_block=1) at gmain.c:2654
#4  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0xca0a80, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f829eac1dc0, flags=...) at 
kernel/qeventloop.cpp:201
#7  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#8  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0xd39930) at 
thread/qthread_unix.cpp:248
#9  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f829e0b4710 (LWP 9509)):
#0  0x00007f82ae54268e in __pthread_mutex_unlock_usercnt () from 
/lib64/libpthread.so.0
#1  0x00007f82a907afc8 in g_main_context_poll (context=0x7f829000f7f0, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2903
#2  g_main_context_iterate (context=0x7f829000f7f0, block=1, dispatch=1, 
self=<value optimized out>) at gmain.c:2586
#3  0x00007f82a907b510 in IA__g_main_context_iteration (context=0x7f829000f7f0, 
may_block=1) at gmain.c:2654
#4  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0xc7eee0, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f829e0b3dc0, flags=...) at 
kernel/qeventloop.cpp:201
#7  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#8  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0xca2870) at 
thread/qthread_unix.cpp:248
#9  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f829d5e9710 (LWP 9510)):
#0  0x00007f82ae54339c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007f82b1e722bb in wait (this=<value optimized out>, mutex=0xc85768, 
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0xc85768, 
time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f82b40951f8 in ?? () from /usr/lib64/libdigikamcore.so.1
#4  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0xc85750) at 
thread/qthread_unix.cpp:248
#5  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f829cde8710 (LWP 9511)):
#0  g_main_context_iterate (context=0xc42dd0, block=1, dispatch=1, self=0xc20cc0) 
at gmain.c:2532
#1  0x00007f82a907b510 in IA__g_main_context_iteration (context=0xc42dd0, 
may_block=1) at gmain.c:2654
#2  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0xc288f0, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#3  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#4  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f829cde7dc0, flags=...) at 
kernel/qeventloop.cpp:201
#5  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#6  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0x185a000) at 
thread/qthread_unix.cpp:248
#7  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#8  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f8297fff710 (LWP 9512)):
#0  idleTimerSourcePrepare (source=<value optimized out>, timeout=0x7f8297ffec2c) 
at kernel/qeventdispatcher_glib.cpp:207
#1  0x00007f82a9079f7f in IA__g_main_context_prepare (context=0xc8c710, 
priority=0x7f8297ffec9c) at gmain.c:2280
#2  0x00007f82a907ae69 in g_main_context_iterate (context=0xc8c710, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2571
#3  0x00007f82a907b510 in IA__g_main_context_iteration (context=0xc8c710, 
may_block=1) at gmain.c:2654
#4  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0xcaabb0, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f8297ffedc0, flags=...) at 
kernel/qeventloop.cpp:201
#7  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#8  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0xcaadc0) at 
thread/qthread_unix.cpp:248
#9  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f828b649710 (LWP 9514)):
#0  0x00007f82ae543709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007f829529b951 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f828a20c710 (LWP 9515)):
#0  0x00007f82ae543709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007f82952a998f in video_out_loop () from /usr/lib64/libxine.so.1
#2  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f8289a0b710 (LWP 9516)):
#0  0x00007f82ae5410b4 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f82a9079fae in IA__g_main_context_prepare (context=0x19a2170, 
priority=0x7f8289a0ac4c) at gmain.c:2282
#2  0x00007f82a907ae69 in g_main_context_iterate (context=0x19a2170, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2571
#3  0x00007f82a907b510 in IA__g_main_context_iteration (context=0x19a2170, 
may_block=1) at gmain.c:2654
#4  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0x19a2080, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f8289a0ad70, flags=...) at 
kernel/qeventloop.cpp:201
#7  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#8  0x00007f82954f93b4 in ?? () from 
/usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0x19a7100) at 
thread/qthread_unix.cpp:248
#10 0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f8289000710 (LWP 9519)):
#0  0x00007f82b05046b3 in poll () from /lib64/libc.so.6
#1  0x00007f82890059d7 in ao_alsa_handle_event_thread () from 
/usr/lib64/xine/plugins/1.29/xineplug_ao_out_alsa.so
#2  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f82887ff710 (LWP 9520)):
#0  0x00007f82ae54339c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007f82952ad96b in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007f82b050d82d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f8287ffe710 (LWP 9521)):
#0  0x00007f82b05046b3 in poll () from /lib64/libc.so.6
#1  0x00007f82a907afd4 in g_main_context_poll (context=0x214a3b0, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x214a3b0, block=1, dispatch=1, self=<value 
optimized out>) at gmain.c:2586
#3  0x00007f82a907b510 in IA__g_main_context_iteration (context=0x214a3b0, 
may_block=1) at gmain.c:2654
#4  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0x213c0a0, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f8287ffdd80, flags=...) at 
kernel/qeventloop.cpp:201
#7  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#8  0x00007f82b1f3a458 in QInotifyFileSystemWatcherEngine::run (this=0x213bb60) at 
io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0x213bb60) at 
thread/qthread_unix.cpp:248
#10 0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f828572b710 (LWP 9528)):
#0  0x00007f82b05046b3 in poll () from /lib64/libc.so.6
#1  0x00007f82a907afd4 in g_main_context_poll (context=0x268ede0, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2904
#2  g_main_context_iterate (context=0x268ede0, block=1, dispatch=1, self=<value 
optimized out>) at gmain.c:2586
#3  0x00007f82a907b510 in IA__g_main_context_iteration (context=0x268ede0, 
may_block=1) at gmain.c:2654
#4  0x00007f82b1f816d6 in QEventDispatcherGlib::processEvents (this=0x26884d0, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f82b1f58495 in QEventLoop::exec (this=0x7f828572ad80, flags=...) at 
kernel/qeventloop.cpp:201
#7  0x00007f82b1e6f2cf in QThread::exec (this=<value optimized out>) at 
thread/qthread.cpp:487
#8  0x00007f82b1f3a458 in QInotifyFileSystemWatcherEngine::run (this=0x2687800) at 
io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0x2687800) at 
thread/qthread_unix.cpp:248
#10 0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#11 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f8284729710 (LWP 9604)):
[KCrash Handler]
#6  0x00007f82b046f9e5 in raise () from /lib64/libc.so.6
#7  0x00007f82b0470ee6 in abort () from /lib64/libc.so.6
#8  0x00007f82b0cc9cdd in __gnu_cxx::__verbose_terminate_handler () at 
../../../../libstdc++-v3/libsupc++/vterminate.cc:93
#9  0x00007f82b0cc7ef6 in __cxxabiv1::__terminate (handler=<value optimized out>) 
at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:39
#10 0x00007f82b0cc7f23 in std::terminate () at ../../../../libstdc++-
v3/libsupc++/eh_terminate.cc:49
#11 0x00007f82b0cc7f36 in __cxxabiv1::__unexpected (handler=<value optimized out>) 
at ../../../../libstdc++-v3/libsupc++/eh_terminate.cc:55
#12 0x00007f82b0cc7b23 in __cxxabiv1::__cxa_call_unexpected 
(exc_obj_in=0x7f80d7de1370) at ../../../../libstdc++-
v3/libsupc++/eh_personality.cc:755
#13 0x00007f82b408bc54 in ?? () from /usr/lib64/libdigikamcore.so.1
#14 0x00007f82b4092920 in ?? () from /usr/lib64/libdigikamcore.so.1
#15 0x00007f82b406e7cc in 
Digikam::ThumbnailCreator::loadFromDatabase(Digikam::ThumbnailInfo const&) () from 
/usr/lib64/libdigikamcore.so.1
#16 0x00007f82b4072086 in Digikam::ThumbnailCreator::load(QString const&) () from 
/usr/lib64/libdigikamcore.so.1
#17 0x00007f82b407a26b in ?? () from /usr/lib64/libdigikamcore.so.1
#18 0x00007f82b4059596 in Digikam::LoadSaveThread::run() () from 
/usr/lib64/libdigikamcore.so.1
#19 0x00007f82b40960a6 in ?? () from /usr/lib64/libdigikamcore.so.1
#20 0x00007f82b1e68035 in QThreadPoolThread::run (this=0x3f1e980) at 
concurrent/qthreadpool.cpp:106
#21 0x00007f82b1e71bf5 in QThreadPrivate::start (arg=0x3f1e980) at 
thread/qthread_unix.cpp:248
#22 0x00007f82ae53ea4f in start_thread () from /lib64/libpthread.so.0
#23 0x00007f82b050d82d in clone () from /lib64/libc.so.6
#24 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f82b6ba17c0 (LWP 9503)):
#0  0x00007f82ae543709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007f82b1e719b5 in thread_sleep (ti=0x7fffb0352870) at 
thread/qthread_unix.cpp:398
#2  0x00007f82b1e71b20 in QThread::msleep (msecs=<value optimized out>) at 
thread/qthread_unix.cpp:424
#3  0x00007f829550f5c2 in ?? () from 
/usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#4  0x00007f829550f6d9 in ?? () from 
/usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#5  0x00007f82b6550cc7 in ?? () from /usr/lib64/libphonon.so.4
#6  0x00007f82b6550e09 in ?? () from /usr/lib64/libphonon.so.4
#7  0x00007f82b04724e1 in __run_exit_handlers () from /lib64/libc.so.6
#8  0x00007f82b0472535 in exit () from /lib64/libc.so.6
#9  0x00007f82b113dcb8 in ?? () from /usr/lib64/libQtGui.so.4
#10 0x00007f82b2872068 in KApplication::xioErrhandler(_XDisplay*) () from 
/usr/lib64/libkdeui.so.5
#11 0x00007f82aecd2a3e in _XIOError (dpy=0xa91ef0) at XlibInt.c:3138
#12 0x00007f82aecd95a5 in process_responses (dpy=0xa91ef0, wait_for_first_event=0, 
current_error=0x0, current_request=0) at xcb_io.c:247
#13 0x00007f82aecd990c in _XEventsQueued (dpy=0xa91ef0, mode=<value optimized 
out>) at xcb_io.c:263
#14 0x00007f82aecc27ef in XEventsQueued (dpy=0xa91ef0, mode=2) at Pending.c:44
#15 0x00007f82b1174fec in ?? () from /usr/lib64/libQtGui.so.4
#16 0x00007f82a907a718 in IA__g_main_context_check (context=0xa8d120, 
max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) 
at gmain.c:2469
#17 0x00007f82a907aff2 in g_main_context_iterate (context=0xa8d120, block=1, 
dispatch=1, self=<value optimized out>) at gmain.c:2588
#18 0x00007f82a907b510 in IA__g_main_context_iteration (context=0xa8d120, 
may_block=1) at gmain.c:2654
#19 0x00007f82b1f8167f in QEventDispatcherGlib::processEvents (this=0xa4d000, 
flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#20 0x00007f82b117514e in ?? () from /usr/lib64/libQtGui.so.4
#21 0x00007f82b1f58292 in QEventLoop::processEvents (this=<value optimized out>, 
flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f82b1f58495 in QEventLoop::exec (this=0x7fffb0352c70, flags=...) at 
kernel/qeventloop.cpp:201
#23 0x00007f82b1f5c88b in QCoreApplication::exec () at 
kernel/qcoreapplication.cpp:1003
#24 0x00000000007139c5 in ?? ()
#25 0x00007f82b045bb7d in __libc_start_main () from /lib64/libc.so.6
#26 0x000000000047a6a9 in _start ()
Comment 11 Marcel Wiesweg 2010-08-26 09:37:41 UTC
Ok, looks like this is the memory leak that was fixed in 1.4. Typical situation (opening very large album).

Raphael, probably false alarm: In this case, the relevant exception would be std::bad_alloc thrown from a failed new[]. (normally, this can be seen from the backtraces. In any way, console output would help clear things)

Heikki: Please reopen if the problem is persisting with 1.4.
Comment 12 Heikki Välisuo 2010-08-26 13:43:08 UTC
Hi,
1.4 works fine ;-)
Comment 13 Raphael Schweizer 2010-08-26 17:19:59 UTC
OK. Thanks for reporting and the additional information.

Still, I wonder how to read the traces. No std::bad_alloc, libpgf the latest call before the crash... Never mind!

Best regards
Raphael
Comment 14 caulier.gilles 2010-11-03 08:18:08 UTC
*** Bug 255930 has been marked as a duplicate of this bug. ***